'use strict';

/**
 * Gets zero-based index.
 * @param x an array
 * @param i index (-ve: from right) (0)
 */
function index(x, i = 0) {
    return i < 0 ? Math.max(x.length + i, 0) : Math.min(i, x.length);
}

/**
 * Sets value at index.
 * @param x an array (updated)
 * @param i index
 * @param v value
 * @returns x
 */
function set$(x, i, v) {
    x[index(x, i)] = v;
    return x;
}

module.exports = set$;
